Index: /GTP/trunk/Lib/Geom/shared/GTGeometry/include/leaf.h
===================================================================
--- /GTP/trunk/Lib/Geom/shared/GTGeometry/include/leaf.h	(revision 1019)
+++ /GTP/trunk/Lib/Geom/shared/GTGeometry/include/leaf.h	(revision 1019)
@@ -0,0 +1,38 @@
+#ifndef LEAF_H
+#define LEAF_H
+
+class Leaf
+{
+	public :
+    	int  vertsLeaf[4];// Array of pointers to vertices
+		float  normal[3];
+		float  parentLeafCount;
+		float center[3];
+		int parent;
+		int childLeft;
+		int childRight;
+		int visible;
+		int root;
+
+		bool exists;
+		int leafNear;
+		float dist;
+		long int leafCop;
+		float coplanar;
+		float criteria;
+		long int leafCrit;
+		
+		// Identifiers of the triangles forming this leaf
+		long int idTriangle[2];
+		
+	public :
+		// Constructors
+		Leaf (void); // default constructor
+		Leaf (const Leaf&); // Copy constructor
+		virtual ~Leaf (void); // Destructor
+
+		float Distance (Leaf&);
+		float Coplanarity (Leaf&);
+};
+
+#endif
Index: /GTP/trunk/Lib/Geom/shared/GTGeometry/include/VertexData.h
===================================================================
--- /GTP/trunk/Lib/Geom/shared/GTGeometry/include/VertexData.h	(revision 831)
+++ /GTP/trunk/Lib/Geom/shared/GTGeometry/include/VertexData.h	(revision 1019)
@@ -36,4 +36,6 @@
 		virtual void SetIndex(unsigned int i, unsigned int index)=0;
 		virtual void End(void)=0;
+
+//		virtual void UpdateData(int*,int)=0;
 
 		virtual unsigned int GetIndex(unsigned int) const =0;
Index: /GTP/trunk/Lib/Geom/shared/GTGeometry/include/GeoLodTreeLibrary.h
===================================================================
--- /GTP/trunk/Lib/Geom/shared/GTGeometry/include/GeoLodTreeLibrary.h	(revision 1018)
+++ /GTP/trunk/Lib/Geom/shared/GTGeometry/include/GeoLodTreeLibrary.h	(revision 1019)
@@ -44,5 +44,5 @@
 		uint32 MaxFoliageLod(void) const;
 
-		// funciones nuevas propuestas
+		// new proposed functions
 //		uint32 Get_Trunk_VertexCount(void) const;
 //		uint32 Get_Trunk_MaxIndexCount(uint32 istrip) const;
Index: /GTP/trunk/Lib/Geom/shared/GTGeometry/include/GeoTreeSimplifier.h
===================================================================
--- /GTP/trunk/Lib/Geom/shared/GTGeometry/include/GeoTreeSimplifier.h	(revision 1007)
+++ /GTP/trunk/Lib/Geom/shared/GTGeometry/include/GeoTreeSimplifier.h	(revision 1019)
@@ -4,5 +4,4 @@
 #include "GeoMesh.h"
 #include "GeoTreeSimpSequence.h"
-#include "Hoja.h"
 
 #define K1		0.8f //distance factor
@@ -10,4 +9,5 @@
 
 class LeafOctree;
+class Leaf;
 
 namespace Geometry
@@ -51,7 +51,7 @@
 
 	private:
-		void CalculateLeafCenter(Hoja &);
-		void CalculateLeafNormal(Hoja &);
-		float CalculateLeafArea(Hoja &) const;
+		void CalculateLeafCenter(Leaf &);
+		void CalculateLeafNormal(Leaf &);
+		float CalculateLeafArea(Leaf &) const;
 		void CoplanarBetweenLeaves(void);
 		float BoundingSphereDiameter() const;
@@ -64,7 +64,7 @@
 		long int Collapse(float);
 		void TwoGreater(float*, int* );
-		void ChooseVertices(Hoja& , Hoja& , long int);
-		float HausdorffOptimized(const Hoja &, const Hoja&) const;
-		float DistanceFromCenters(const Hoja &, const Hoja &) const;
+		void ChooseVertices(Leaf& , Leaf& , long int);
+		float HausdorffOptimized(const Leaf &, const Leaf&) const;
+		float DistanceFromCenters(const Leaf &, const Leaf &) const;
 		float distan(float, float, float, float, float, float) const;
 		long int MinDistance(void);
@@ -82,5 +82,5 @@
 		const			Mesh *objmesh;
 		float			(*Vertex)[3];
-		Hoja			*Leaves;
+		Leaf			*Leaves;
 		long int	activeLeaves, countLeaves;
 		TreeSimplificationSequence	*mtreesimpsequence;
@@ -96,5 +96,5 @@
 		int vertex_count;
 		LeafOctree ** octree_owning_leaf;
-		LeafOctree *GetMinOctreeNodeForLeaf(LeafOctree *start, const Hoja &leaf);
+		LeafOctree *GetMinOctreeNodeForLeaf(LeafOctree *start, const Leaf &leaf);
 		bool PruneOctree(LeafOctree *); // erases one octree level and translates its leaves to the parent. Returns true if the node itself was pruned
 	};
Index: /GTP/trunk/Lib/Geom/shared/GTGeometry/src/libs/leaves/Hoja.cpp
===================================================================
--- /GTP/trunk/Lib/Geom/shared/GTGeometry/src/libs/leaves/Hoja.cpp	(revision 985)
+++ /GTP/trunk/Lib/Geom/shared/GTGeometry/src/libs/leaves/Hoja.cpp	(revision 1019)
@@ -1,4 +1,4 @@
 #include <math.h>
-#include "Hoja.h"
+#include "Leaf.h"
 
 //--------------------------------------------------------------------------------------------------------------------------------
@@ -6,20 +6,20 @@
 // Parameters --> None
 //--------------------------------------------------------------------------------------------------------------------------------
-Hoja::Hoja(void) 
+Leaf::Leaf(void) 
 {	
-	Vert_Hoja[0] = Vert_Hoja[1] = Vert_Hoja[2] = Vert_Hoja[3] =0; 
-	Centro[0] = Centro[1] = Centro[2] = 0;
-	Normal[0] = Normal[1] = Normal[2] = 0;
-	hoja_cerca=-1;
-	Cuantas_hojas = 1;
+	vertsLeaf[0] = vertsLeaf[1] = vertsLeaf[2] = vertsLeaf[3] =0; 
+	center[0] = center[1] = center[2] = 0;
+	normal[0] = normal[1] = normal[2] = 0;
+	leafNear=-1;
+	parentLeafCount = 1;
 	dist = -1;
 	coplanar = -1;
-	criterio = -1;
-	hoja_cop = -1;
-	hoja_crit =-1;
-	existe = false;
-	padre=-1;
-	hijoi = hijod = -1;
-	raiz= visible= -1;
+	criteria = -1;
+	leafCop = -1;
+	leafCrit =-1;
+	exists = false;
+	parent=-1;
+	childLeft = childRight = -1;
+	root = visible= -1;
 }
 
@@ -27,28 +27,27 @@
 //--------------------------------------------------------------------------------------------------------------------------------
 // Copy constructor
-// Parameters --> const Hoja& aHoja : The Hoja to copy
 //--------------------------------------------------------------------------------------------------------------------------------
-Hoja::Hoja (const Hoja& aHoja)
+Leaf::Leaf (const Leaf& aLeaf)
 {
-	Cuantas_hojas = aHoja.Cuantas_hojas;;
-	hoja_cerca = aHoja.hoja_cerca;
-	hoja_crit = aHoja.hoja_crit;
-	dist = aHoja.dist;
-	existe = aHoja.existe;
-	coplanar = aHoja.coplanar;
-	hoja_cop = aHoja.hoja_cop;
-	criterio = aHoja.criterio;
+	parentLeafCount = aLeaf.parentLeafCount;;
+	leafNear = aLeaf.leafNear;
+	leafCrit = aLeaf.leafCrit;
+	dist = aLeaf.dist;
+	exists = aLeaf.exists;
+	coplanar = aLeaf.coplanar;
+	leafCop = aLeaf.leafCop;
+	criteria = aLeaf.criteria;
 	for ( int i=0;i<3;i++){
-		Centro[i] = aHoja.Centro[i];
-		Normal[i] = aHoja.Normal[i];
+		center[i] = aLeaf.center[i];
+		normal[i] = aLeaf.normal[i];
 	}
 	for (i = 0L; i < 4; i++)
-		Vert_Hoja[i] = aHoja.Vert_Hoja[i]; 
+		vertsLeaf[i] = aLeaf.vertsLeaf[i]; 
 	
-	padre = aHoja.padre;
-	hijoi = aHoja.hijoi;
-	hijod = aHoja.hijod;
-	visible = aHoja.visible;
-	raiz = aHoja.raiz;
+	parent = aLeaf.parent;
+	childLeft = aLeaf.childLeft;
+	childRight = aLeaf.childRight;
+	visible = aLeaf.visible;
+	root = aLeaf.root;
 }
 
@@ -58,5 +57,5 @@
 // Destructor. We must deallocate the memory allocated for pointers to vertices and edges
 //--------------------------------------------------------------------------------------------------------------------------------
-Hoja::~Hoja (void)
+Leaf::~Leaf (void)
 {
 }
@@ -67,17 +66,17 @@
 //--------------------------------------------------------------------------------------------------------------------------------
 
-float Hoja::Distancia (Hoja& Hoja1)
+float Leaf::Distance (Leaf& leaf)
 {
 	float dist =0;
 	float x1,y1,z1;
 
-	x1 = Hoja1.Centro[0]; y1 = Hoja1.Centro[1] ; z1 = Hoja1.Centro[2];
+	x1 = leaf.center[0]; y1 = leaf.center[1] ; z1 = leaf.center[2];
 
 
-	//DISTANCIA ENTRE CENTROS
+	//DISTANCIA BETWEEN CENTERS
 
-	dist = ((Centro[0]-x1)*(Centro[0]-x1)) + ((Centro[1]-y1)*(Centro[1]-y1)) + ((Centro[2]-z1)*(Centro[2]-z1));
+	dist = ((center[0]-x1)*(center[0]-x1)) + ((center[1]-y1)*(center[1]-y1)) + ((center[2]-z1)*(center[2]-z1));
 
-	return (dist);
+	return dist;
 }
 
@@ -87,5 +86,5 @@
 //--------------------------------------------------------------------------------------------------------------------------------
 
-float Hoja::Coplanaridad (Hoja& Hoja1)
+float Leaf::Coplanarity (Leaf& leaf)
 {
 	float cop =0;
@@ -95,5 +94,5 @@
 
 	//hoja pasada como parametro, normalizo las componentes
-	x1 = Hoja1.Normal[0]; y1 = Hoja1.Normal[1] ; z1 = Hoja1.Normal[2];
+	x1 = leaf.normal[0]; y1 = leaf.normal[1] ; z1 = leaf.normal[2];
 	modulo1 = sqrt ( (x1*x1) + (y1*y1) + (z1*z1));
 	nx1 = x1 / modulo1;
@@ -103,8 +102,8 @@
 	// hoja desde la que llamo
 
-	modulo2 = sqrt ( (Normal[0]*Normal[0]) + (Normal[1]*Normal[1]) + (Normal[2]*Normal[2]));
-	nx = Normal[0] / modulo2;
-	ny = Normal[1] / modulo2;
-	nz = Normal[2] / modulo2;
+	modulo2 = sqrt ( (normal[0]*normal[0]) + (normal[1]*normal[1]) + (normal[2]*normal[2]));
+	nx = normal[0] / modulo2;
+	ny = normal[1] / modulo2;
+	nz = normal[2] / modulo2;
 
 	// producto escalar : si es proximo a 0, perpendiculares, a 1, coplanares
